<div class="w-1/2 mx-auto ">
    <div class="form">
        <form (ngSubmit)="runScript()">
            <div class=" mt-2 ml-10">
                <label for="urlGO">Ontology files for GO</label>
                <br />
                <input type="url"
                       name="urlGO"
                       [value]="urlGO"
                       (change)="changeGO($event)"
                       class="border-2 border-slate-700 w-4/5 mt-2" />
            </div>
            <div class="form-group mt-8 ml-10">
                <label>Ontology files for HPO</label>
                <br />
                <input type="url"
                       [value]="urlHPO"
                       (change)="changeHPO($event)"
                       class="border-2 border-slate-700 w-4/5 mt-2" />
            </div>

            <br />
            <label for="filelist"
                   class="ml-10">Select available file</label>
            <br />
            <div class="mt-2 w-3/4 ml-10">
                <!-- <select size="10" id="filelist" formControlName="filePicker" (change)="setSelectedFile($event)" class="w-full bg-inherit">
                    <option *ngFor=" let file of availableFiles" value="{{file}}">{{file}}</option>
                </select> -->

                <table class="w-full py-4 border-l-2 border-r-2 border-zinc-700">
                    <tr class="border-t-2 border-zinc-700">
                        <th>File name</th>
                        <th>Size</th>
                        <th>Uploaded</th>
                    </tr>
                    <tr *ngFor="let file of availableFiles; let i = index"
                        class="border-t-2 border-b-2 border-zinc-700 hover:bg-slate-700 hover:text-zinc-200 cursor-pointer"
                        [ngClass]="rowClickedStyle(i)"
                        (click)="rowClicked(i)">
                        <td class="pl-8">{{file.filename}}</td>
                        <td class="pl-8">{{file.size}}</td>
                        <td class="pl-8">{{file.date}}</td>
                    </tr>
                </table>
            </div>
            <button class="mt-8 py-3 px-6 rounded-lg block ml-20 font-medium"
                    type="submit"
                    [ngClass]="sendButtonStyle()"
                    [disabled]="sendButtonDisabled">
                Submit
            </button>
        </form>
        <div>
            <textarea id="terminal"
                      class="w-full bg-slate-800 h-96 mt-20 text-zinc-200 px-6"
                      disabled="false"
                      placeholder="Waiting for terminal output"
                      [value]="terminalOutput"></textarea>
        </div>
    </div>
</div>
